## r-cran-segmented 0.5

=== DESCRIPTION ===
Package: segmented
Type: Package
Title: Segmented relationships in regression models with
        breakpoints/changepoints estimation
Version: 0.5-0.0
Date: 2014-09-10
Maintainer: Vito M. R. Muggeo <vito.muggeo@unipa.it>
Authors@R: c(person(given = c("Vito","M.","R."), family = "Muggeo", role =
        c("aut", "cre"), email = "vito.muggeo@unipa.it"))
Description: Given a regression model, segmented `updates' the model by adding one or more segmented relationships. Several variables with multiple breakpoints are allowed.
License: GPL
Packaged: 2014-09-10 13:28:40 UTC; user
Author: Vito M. R. Muggeo [aut, cre]
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2014-09-10 17:15:03

## r-cran-segmented 0.3-1.0

=== debian/changelog ===
r-cran-segmented (0.3-1.0-1) unstable; urgency=medium

  * New upstream version
  * Moved debian/upstream to debian/upstream/metadata

 -- Andreas Tille <tille@debian.org>  Sat, 21 Jun 2014 10:46:59 +0200

r-cran-segmented (0.3-0.0-2) unstable; urgency=medium

  * debian/README.source: Add information about binary data

 -- Andreas Tille <tille@debian.org>  Tue, 18 Feb 2014 20:24:57 +0100

r-cran-segmented (0.3-0.0-1) unstable; urgency=low

  * Initial release (Closes: #738742)

 -- Andreas Tille <tille@debian.org>  Wed, 12 Feb 2014 16:47:31 +0100

=== debian/control ===
Source: r-cran-segmented
Section: gnu-r
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Build-Depends: debhelper (>= 9.0),
               cdbs,
               r-base-dev
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-cran-segmented/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-segmented/trunk/
Homepage: http://cran.r-project.org/web/packages/segmented/

Package: r-cran-segmented
Architecture: all
Depends: ${misc:Depends},
         ${R:Depends}
Description: GNU R segmented relationships in regression models
 This GNU R package provides segmented relationships in regression
 models with breakpoints/changepoints estimation.
 .
 Given a (generalized) linear model, segmented ‘updates’ the model by
 adding one or more segmented relationships. Several variables with
 multiple breakpoints are allowed.

## r-cran-segmented 0.5-0.0

=== debian/changelog ===
r-cran-segmented (0.5-0.0-1) unstable; urgency=medium

  * New upstream version
  * cme fix dpkg-control
  * d/copyright: fix DEP5 short name

 -- Andreas Tille <tille@debian.org>  Thu, 25 Sep 2014 22:46:12 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: r-cran-segmented
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Andreas Tille <tille@debian.org>
 Build-Depends: debhelper (>= 9.0),
                cdbs,
                r-base-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-cran-segmented/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-segmented/trunk/
 Homepage: http://cran.r-project.org/web/packages/segmented/

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/segmented_([-\d.]*)\.tar\.gz

## r-cran-segmented 0.5-1.4

=== debian/changelog ===
r-cran-segmented (0.5-1.4-1) unstable; urgency=medium

  * New upstream version
  * Convert to dh-r
  * Canonical homepage for CRAN
  * d/watch: version=4

 -- Andreas Tille <tille@debian.org>  Thu, 10 Nov 2016 09:43:00 +0100

=== debian/control ===
--- 
+++ 
@@ -4,17 +4,19 @@
 Section: gnu-r
 Priority: optional
 Build-Depends: debhelper (>= 9.0),
-               cdbs,
+               dh-r,
                r-base-dev
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-cran-segmented/trunk/
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-cran-segmented/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-segmented/trunk/
-Homepage: http://cran.r-project.org/web/packages/segmented/
+Homepage: https://cran.r-project.org/package=segmented
 
 Package: r-cran-segmented
 Architecture: all
 Depends: ${misc:Depends},
          ${R:Depends}
+Recommends: ${R:Recommends}
+Suggests: ${R:Suggests}
 Description: GNU R segmented relationships in regression models
  This GNU R package provides segmented relationships in regression
  models with breakpoints/changepoints estimation.

## r-cran-segmented 0.5-2.2

=== debian/changelog ===
r-cran-segmented (0.5-2.2-1) unstable; urgency=medium

  * New upstream version
  * Moved packaging from SVN to Git
  * debhelper 10
  * Standards-Version: 4.1.0

 -- Andreas Tille <tille@debian.org>  Fri, 29 Sep 2017 10:25:48 +0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 9.0),
+Build-Depends: debhelper (>= 10),
                dh-r,
                r-base-dev
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-cran-segmented/trunk/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-segmented/trunk/
+Standards-Version: 4.1.0
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-cran-segmented.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/r-cran-segmented.git
 Homepage: https://cran.r-project.org/package=segmented
 
 Package: r-cran-segmented

=== debian/watch ===
version=4
http://cran.r-project.org/src/contrib/segmented_([-\d.]*)\.tar\.gz

## r-cran-segmented 0.5-3.0

=== debian/changelog ===
r-cran-segmented (0.5-3.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 18:23:28 +0800

r-cran-segmented (0.5-3.0-2) unstable; urgency=medium

  * Rebuild for R 3.5 transition
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Thu, 31 May 2018 22:10:40 +0200

r-cran-segmented (0.5-3.0-1) unstable; urgency=medium

  * New upstream version
  * Secure URI in watch file
  * Standards-Version: 4.1.3
  * debhelper 11
  * Testsuite: autopkgtest-pkg-r

 -- Andreas Tille <tille@debian.org>  Thu, 15 Mar 2018 20:06:06 +0100

=== debian/control ===
Source: r-cran-segmented
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-segmented
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-segmented.git
Homepage: https://cran.r-project.org/package=segmented

Package: r-cran-segmented
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R segmented relationships in regression models
 This GNU R package provides segmented relationships in regression
 models with breakpoints/changepoints estimation.
 .
 Given a (generalized) linear model, segmented ‘updates’ the model by
 adding one or more segmented relationships. Several variables with
 multiple breakpoints are allowed.

## r-cran-segmented 1.0-0

=== debian/changelog ===
r-cran-segmented (1.0-0-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Wed, 10 Jul 2019 20:53:30 +0200

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-segmented
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-segmented.git
 Homepage: https://cran.r-project.org/package=segmented

## r-cran-segmented 1.1

=== DESCRIPTION ===
Package: segmented
Type: Package
Title: Regression Models with Break-Points / Change-Points Estimation
Version: 1.1-0
Date: 2019-12-10
Authors@R: c(person(given = c("Vito","M.","R."), family = "Muggeo", role =
        c("aut", "cre"), email = "vito.muggeo@unipa.it"))
Author: Vito M. R. Muggeo [aut, cre]
Maintainer: Vito M. R. Muggeo <vito.muggeo@unipa.it>
Description: Given a regression model, segmented `updates' it by adding one or more segmented (i.e., piece-wise linear) relationships. Several variables with multiple breakpoints are allowed. The estimation method is discussed in Muggeo (2003, <doi:10.1002/sim.1545>) and illustrated in Muggeo (2008, <https://www.r-project.org/doc/Rnews/Rnews_2008-1.pdf>). An approach for hypothesis testing is presented in Muggeo (2016, <doi:10.1080/00949655.2016.1149855>), and interval estimation for the breakpoint is discussed in Muggeo (2017, <doi:10.1111/anzs.12200>).  
License: GPL
NeedsCompilation: no
Packaged: 2019-12-10 15:31:45 UTC; vito
Repository: CRAN
Date/Publication: 2019-12-10 19:20:02 UTC

## r-cran-segmented 1.1-0

=== debian/changelog ===
r-cran-segmented (1.1-0-2build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 May 2020 10:32:46 +0000

r-cran-segmented (1.1-0-2) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Sat, 16 May 2020 10:49:57 +0200

r-cran-segmented (1.1-0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.1

 -- Dylan Aïssi <daissi@debian.org>  Fri, 03 Jan 2020 16:03:22 +0100

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,14 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-segmented
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-segmented.git
 Homepage: https://cran.r-project.org/package=segmented
+Rules-Requires-Root: no
 
 Package: r-cran-segmented
 Architecture: all

## r-cran-segmented 1.3

=== DESCRIPTION ===
Package: segmented
Type: Package
Title: Regression Models with Break-Points / Change-Points Estimation
Version: 1.3-1
Date: 2020-12-10
Authors@R: c(person(given = c("Vito","M.","R."), family = "Muggeo", role =
        c("aut", "cre"), email = "vito.muggeo@unipa.it"))
Author: Vito M. R. Muggeo [aut, cre]
Maintainer: Vito M. R. Muggeo <vito.muggeo@unipa.it>
Description: Given a regression model, segmented `updates' it by adding one or more segmented (i.e., piece-wise linear) relationships. Several variables with multiple breakpoints are allowed. The estimation method is discussed in Muggeo (2003, <doi:10.1002/sim.1545>) and illustrated in Muggeo (2008, <https://www.r-project.org/doc/Rnews/Rnews_2008-1.pdf>). An approach for hypothesis testing is presented in Muggeo (2016, <doi:10.1080/00949655.2016.1149855>), and interval estimation for the breakpoint is discussed in Muggeo (2017, <doi:10.1111/anzs.12200>).  
License: GPL
NeedsCompilation: no
Packaged: 2020-12-10 15:09:15 UTC; vito
Repository: CRAN
Date/Publication: 2020-12-10 16:40:08 UTC

## r-cran-segmented 1.3-1

=== debian/changelog ===
r-cran-segmented (1.3-1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)

 -- Nilesh Patra <npatra974@gmail.com>  Mon, 28 Dec 2020 14:03:58 +0530

r-cran-segmented (1.3-0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 09 Nov 2020 13:41:28 +0100

r-cran-segmented (1.2-0-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13 (routine-update)
  * Set upstream metadata fields: Archive.

 -- Andreas Tille <tille@debian.org>  Fri, 04 Sep 2020 12:53:26 +0200

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-segmented
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-segmented.git
 Homepage: https://cran.r-project.org/package=segmented

## r-cran-segmented 1.4-0

=== debian/changelog ===
r-cran-segmented (1.4-0-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 1.4-0
  * d/control: Add r-cran-mass to B-D

 -- Nilesh Patra <nilesh@debian.org>  Mon, 31 Jan 2022 14:53:24 +0000

r-cran-segmented (1.3-4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.3-4
  * Bump Standards-Version to 4.6.0 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Tue, 16 Nov 2021 02:05:59 +0530

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,9 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-r,
-               r-base-dev
-Standards-Version: 4.5.1
+               r-base-dev,
+               r-cran-mass
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-segmented
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-segmented.git
 Homepage: https://cran.r-project.org/package=segmented

## r-cran-segmented 1.6

=== DESCRIPTION ===
Package: segmented
Type: Package
Title: Regression Models with Break-Points / Change-Points (with
        Possibly Random Effects) Estimation
Version: 1.6-2
Date: 2022-12-09
Authors@R: c(person(given = c("Vito","M.","R."), family = "Muggeo", role =
        c("aut", "cre"), email = "vito.muggeo@unipa.it", comment=c(ORCID="0000-0002-3386-4054")))
Maintainer: Vito M. R. Muggeo <vito.muggeo@unipa.it>
Description: Given a regression model, segmented `updates' it by adding one or more segmented 
  (i.e., piece-wise linear) relationships. Several variables with multiple breakpoints are allowed. The estimation method is discussed in Muggeo (2003, <doi:10.1002/sim.1545>) and 
  illustrated in Muggeo (2008, <https://www.r-project.org/doc/Rnews/Rnews_2008-1.pdf>). An approach for hypothesis testing is presented 
  in Muggeo (2016, <doi:10.1080/00949655.2016.1149855>), and interval estimation for the breakpoint is discussed in Muggeo (2017, <doi:10.1111/anzs.12200>). 
  Segmented mixed models, i.e. random effects in the change point, are discussed in
  in Muggeo (2014, <doi:10.1177/1471082X13504721>).
Depends: MASS, nlme
License: GPL
NeedsCompilation: no
Packaged: 2022-12-09 16:35:04 UTC; vito
Author: Vito M. R. Muggeo [aut, cre] (<https://orcid.org/0000-0002-3386-4054>)
Repository: CRAN
Date/Publication: 2022-12-09 18:50:02 UTC

## r-cran-segmented 1.6-0

=== debian/changelog ===
r-cran-segmented (1.6-0-1) unstable; urgency=medium

  * New upstream version
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 08 Jun 2022 16:55:56 +0200

r-cran-segmented (1.5-0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.5-0
  * Bump Standards-Version to 4.6.1 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Tue, 17 May 2022 13:24:12 +0530

## r-cran-segmented 1.6-2

=== debian/changelog ===
r-cran-segmented (1.6-2-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 12 Dec 2022 14:12:39 +0100

r-cran-segmented (1.6-1-1) unstable; urgency=medium

  * Disable reprotest
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 17 Nov 2022 13:50:02 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: r-cran-segmented
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-segmented
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-segmented.git
+Homepage: https://cran.r-project.org/package=segmented
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-mass
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-segmented
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-segmented.git
-Homepage: https://cran.r-project.org/package=segmented
-Rules-Requires-Root: no
+               r-cran-mass,
+               r-cran-nlme
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-segmented
 Architecture: all

## r-cran-segmented 1.6-4

=== debian/changelog ===
r-cran-segmented (1.6-4-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 27 Jun 2023 08:45:42 +0200

## r-cran-segmented 2.0

=== DESCRIPTION ===
Package: segmented
Type: Package
Title: Regression Models with Break-Points / Change-Points Estimation
        (with Possibly Random Effects)
Version: 2.0-3
Date: 2024-02-16
Authors@R: c(person(given = c("Vito","M.","R."), family = "Muggeo", role =
        c("aut", "cre"), email = "vito.muggeo@unipa.it", comment=c(ORCID="0000-0002-3386-4054")))
Maintainer: Vito M. R. Muggeo <vito.muggeo@unipa.it>
Description: Fitting regression models where, in addition to possible linear terms, one or more covariates have segmented (i.e., broken-line 
  or piece-wise linear) or stepmented (i.e. piece-wise constant) effects. 
  Multiple breakpoints for the same variable are allowed. The estimation method is discussed in Muggeo (2003, <doi:10.1002/sim.1545>) and 
  illustrated in Muggeo (2008, <https://www.r-project.org/doc/Rnews/Rnews_2008-1.pdf>). An approach for hypothesis testing is presented 
  in Muggeo (2016, <doi:10.1080/00949655.2016.1149855>), and interval estimation for the breakpoint is discussed in Muggeo (2017, <doi:10.1111/anzs.12200>). 
  Segmented mixed models, i.e. random effects in the change point, are discussed in Muggeo (2014, <doi:10.1177/1471082X13504721>).
  Estimation of piecewise-constant relationships and changepoints (mean-shift models) is 
  discussed in Fasola et al. (2018, <doi:10.1007/s00180-017-0740-4>).
Depends: R (>= 3.5.0), MASS, nlme
License: GPL
NeedsCompilation: no
Packaged: 2024-02-16 11:03:57 UTC; vito
Author: Vito M. R. Muggeo [aut, cre] (<https://orcid.org/0000-0002-3386-4054>)
Repository: CRAN
Date/Publication: 2024-02-16 11:50:02 UTC

## r-cran-segmented 2.0-3

=== debian/changelog ===
r-cran-segmented (2.0-3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Mon, 04 Mar 2024 08:36:42 +0900

r-cran-segmented (2.0-2-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 01 Feb 2024 17:11:00 +0100

r-cran-segmented (2.0-1-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 09 Jan 2024 09:20:51 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-segmented
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-segmented.git
 Homepage: https://cran.r-project.org/package=segmented
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-cran-segmented 2.1

=== DESCRIPTION ===
Package: segmented
Type: Package
Title: Regression Models with Break-Points / Change-Points Estimation
        (with Possibly Random Effects)
Version: 2.1-4
Date: 2025-02-26
Authors@R: c(person(given = c("Vito","M.","R."), family = "Muggeo", role =
        c("aut", "cre"), email = "vito.muggeo@unipa.it", comment=c(ORCID="0000-0002-3386-4054")))
Maintainer: Vito M. R. Muggeo <vito.muggeo@unipa.it>
Description: Fitting regression models where, in addition to possible linear terms, one or more covariates have segmented (i.e., broken-line or piece-wise linear) or stepmented (i.e. piece-wise constant) effects. Multiple breakpoints for the same variable are allowed. 
  The estimation method is discussed in Muggeo (2003, <doi:10.1002/sim.1545>) and 
  illustrated in Muggeo (2008, <https://www.r-project.org/doc/Rnews/Rnews_2008-1.pdf>). An approach for hypothesis testing is presented 
  in Muggeo (2016, <doi:10.1080/00949655.2016.1149855>), and interval estimation for the breakpoint is discussed in Muggeo (2017, <doi:10.1111/anzs.12200>). 
  Segmented mixed models, i.e. random effects in the change point, are discussed in Muggeo (2014, <doi:10.1177/1471082X13504721>).
  Estimation of piecewise-constant relationships and changepoints (mean-shift models) is 
  discussed in Fasola et al. (2018, <doi:10.1007/s00180-017-0740-4>).
Depends: R (>= 3.5.0), MASS, nlme
License: GPL
NeedsCompilation: no
Packaged: 2025-02-26 16:34:01 UTC; vito
Author: Vito M. R. Muggeo [aut, cre] (<https://orcid.org/0000-0002-3386-4054>)
RoxygenNote: 7.3.1
Repository: CRAN
Date/Publication: 2025-02-28 12:50:02 UTC

## r-cran-segmented 2.1-0

=== debian/changelog ===
r-cran-segmented (2.1-0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Fri, 24 May 2024 08:28:28 +0900

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-segmented
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-segmented.git
 Homepage: https://cran.r-project.org/package=segmented
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-cran-segmented 2.1-2

=== debian/changelog ===
r-cran-segmented (2.1-2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Tue, 10 Sep 2024 13:40:27 +0900

## r-cran-segmented 2.1-3

=== debian/changelog ===
r-cran-segmented (2.1-3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Tue, 29 Oct 2024 09:49:27 +0900

## r-cran-segmented 2.1-4

=== debian/changelog ===
r-cran-segmented (2.1-4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Mon, 03 Mar 2025 09:33:08 +0900

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-segmented
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-segmented.git
 Homepage: https://cran.r-project.org/package=segmented
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/segmented_([-\d.]*)\.tar\.gz

## r-cran-segmented 2.2

=== DESCRIPTION ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Type: Package
 Title: Regression Models with Break-Points / Change-Points Estimation
         (with Possibly Random Effects)
-Version: 2.1-4
-Date: 2025-02-26
+Version: 2.2-1
+Date: 2026-01-29
 Authors@R: c(person(given = c("Vito","M.","R."), family = "Muggeo", role =
         c("aut", "cre"), email = "vito.muggeo@unipa.it", comment=c(ORCID="0000-0002-3386-4054")))
 Maintainer: Vito M. R. Muggeo <vito.muggeo@unipa.it>
@@ -17,8 +17,9 @@
 Depends: R (>= 3.5.0), MASS, nlme
 License: GPL
 NeedsCompilation: no
-Packaged: 2025-02-26 16:34:01 UTC; vito
-Author: Vito M. R. Muggeo [aut, cre] (<https://orcid.org/0000-0002-3386-4054>)
+Packaged: 2026-01-29 14:50:37 UTC; vito
+Author: Vito M. R. Muggeo [aut, cre] (ORCID:
+    <https://orcid.org/0000-0002-3386-4054>)
 RoxygenNote: 7.3.1
 Repository: CRAN
-Date/Publication: 2025-02-28 12:50:02 UTC
+Date/Publication: 2026-01-29 15:40:03 UTC

## r-cran-segmented 2.2-1

=== debian/changelog ===
r-cran-segmented (2.2-1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)

 -- Charles Plessy <plessy@debian.org>  Tue, 17 Feb 2026 16:53:17 +0900

=== debian/control ===
Source: r-cran-segmented
Standards-Version: 4.7.3
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders:
 Andreas Tille <tille@debian.org>,
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Build-Depends:
 debhelper-compat (= 13),
 dh-r,
 r-base-dev,
 r-cran-mass,
 r-cran-nlme,
 architecture-is-64-bit,
 architecture-is-little-endian,
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-segmented
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-segmented.git
Homepage: https://cran.r-project.org/package=segmented
Rules-Requires-Root: no

Package: r-cran-segmented
Architecture: all
Depends:
 ${R:Depends},
 ${misc:Depends},
Recommends:
 ${R:Recommends},
Suggests:
 ${R:Suggests},
Description: GNU R segmented relationships in regression models
 This GNU R package provides segmented relationships in regression
 models with breakpoints/changepoints estimation.
 .
 Given a (generalized) linear model, segmented ‘updates’ the model by
 adding one or more segmented relationships. Several variables with
 multiple breakpoints are allowed.
